<?php
/**
 * WPSDAdminConfigForm model object.
 * @author Dave Ligthart <info@daveligthart.com>
 * @version 0.3
 * @package wp-stats-dashboard
 */
include_once('WPSDBaseForm.php');
class WPSDAdminConfigForm extends WPSDBaseForm{
	var $wpsd_blog_id;
	var $wpsd_un;
	var $wpsd_pw;
	var $wpsd_type; //chart type.

	// Widgets
	var $wpsd_widget_overview;
	var $wpsd_widget_postviews;
	var $wpsd_widget_referrers;
	var $wpsd_widget_clicks;
	var $wpsd_widget_searchterms;
	var $wpsd_widget_dailyviews;
	var $wpsd_widget_compete;

	function WPSDAdminConfigForm(){
		parent::WPSDBaseForm();
		if($this->setFormValues()){

			$this->saveOptions();
		}
		$this->loadOptions();

		if($this->wpsd_blog_id == '') {
			$options = get_option('stats_options'); // from wp-stats.
			$temp = $options['blog_id'];
			$this->wpsd_blog_id = $temp;
		}
	}

	function getWpsdBlogId(){
		return $this->wpsd_blog_id;
	}

	function getWpsdUn(){
		return $this->wpsd_un;
	}

	function getWpsdPw(){
		return $this->wpsd_pw;
	}

	function getWpsdType() {
		return $this->wpsd_type;
	}

	function getWpsdWidgetOverview() {
		return $this->wpsd_widget_overview;
	}

	function getWpsdWidgetPostViews() {
		return $this->wpsd_widget_postviews;
	}

	function getWpsdWidgetReferrers() {
		return $this->wpsd_widget_referrers;
	}

	function getWpsdWidgetClicks() {
		return $this->wpsd_widget_clicks;
	}

	function getWpsdWidgetSearchTerms() {
		return $this->wpsd_widget_searchterms;
	}

	function getWpsdWidgetDailyViews() {
		return $this->wpsd_widget_dailyviews;
	}

	function getWpsdWidgetCompete() {
		return $this->wpsd_widget_compete;
	}
}
?>