<?php
include_once(dirname(__FILE__) . '/../../../../../wp-load.php'); // load wordpress context.
global $wp_version;

// Get blog id.
$blog_id = get_option('wpsd_blog_id');

// Set cookie
$cookie_filename = md5($blog_id);
$cache_path = dirname(__FILE__) . '/../../../../cache/';
$cache_dir = $cache_path . 'wp-stats-dashboard';

if(!file_exists($cache_dir)){
	if(is_writable($cache_path)){
		mkdir($cache_dir);
		touch($cache_dir . '/' . $cookie_filename);
	}
}

if(!file_exists($cache_dir . '/' . $cookie_filename)){
	touch($cache_dir . '/' . $cookie_filename);
}

// Set chart url.
$chart_url = 'http://dashboard.wordpress.com/wp-includes/charts/ofc/open-flash-chart.swf?data=%2Fwp-includes%2Fcharts%2Fstats-data.php%3Fblog%3D5049926%26page%3Dstats%26unit%3D1%26width%3D670%26height%3D265%26noheader%3Dtrue';

// Check user.
$user = wp_get_current_user();
if($user->caps['administrator']){
	
	$un = get_option('wpsd_un');
	
	$pw = get_option('wpsd_pw');
	
	$chart_type = get_option('wpsd_type');
	
	$graph_xml_url = "http://dashboard.wordpress.com/wp-includes/charts/stats-data.php?blog={$blog_id}&page=estats&unit=1&width=670&height=265";
	
	$url = 'https://dashboard.wordpress.com/wp-login.php';
	
	$cookie = $cache_dir . '/' . $cookie_filename;
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_TIMEOUT, 60);
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_ANY);
	curl_setopt($ch, CURLOPT_COOKIEJAR, $cookie);
	curl_setopt($ch, CURLOPT_POSTFIELDS, "log={$un}&pwd={$pw}&wp-submit=Log In");
	
	ob_start();
	
	curl_exec($ch);
	
	ob_end_clean();
	
	curl_close ($ch);
	
	unset($ch);
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_COOKIEFILE, $cookie);
	curl_setopt($ch, CURLOPT_URL, $graph_xml_url);
	$result = curl_exec ($ch);
	
	curl_close ($ch);
	
	echo $result;
	
	//echo wpsd_set_chart_type($xml, $chart_type);
}
?>