<?php
/**
 * WPSDEngagement.
 * @author dligthart <info@daveligthart.com>
 * @version 0.1
 * @package wp-stats-dashboard
 */
class WPSDEngagement extends WPSDStats {

	function WPSDEngagement() {
		parent::WPSDStats();	
	}

	function getEngagement(){
		global $wpdb;
	
		if($this->isOutdated()) {
			
			$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");

			if (0 < $numcomms) $numcomms = number_format($numcomms);
			
			$this->set_cache('engagement', $numcomms);
		} 
		else {
			
			$numcomms = $this->get_cache('engagement');	
		}
		
		return $numcomms;
	}
}
?>