<?php
class WPSDStats {
	
	var $cache_date;
	
	var $update_cache = false;
	
	function WPSDStats() {
		$this->cache_date = get_option('wpsd_cache_date');
		
		if(date('Y-m-d') != $this->cache_date){	
			$this->update_cache = true;
		}
		
		if($_REQUEST['wpsd_update_cache']) {
			$this->update_cache = true;
		}
	}
	
	function isOutdated() {
		return $this->update_cache;
	}
	
	function set_cache($key, $value) {
		update_option('wpsd_'. $key, $value);
	}
	
	function get_cache($key) {
		return get_option('wpsd_' . $key);
	}
	
	function cache_updated() {
		update_option('wpsd_cache_date', date('Y-m-d'));
	}
}
?>